Bug 860551 - black screen fedora 20120924-test_days-x86_64 (HP ENVY 14 1210NR, Radeon HD 5000M Series)
black screen fedora 20120924-test_days-x86_64 (HP ENVY 14 1210NR, Radeon HD 5...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-09-26 02:40 EDT by Valery Pipin
Modified: 2014-09-13 14:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:19:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log information, including Xorg.log, boot.log etc (32.67 KB, application/x-gzip)
2012-09-26 02:40 EDT, Valery Pipin
no flags Details
screenshot (3.24 MB, image/jpeg)
2012-10-08 12:06 EDT, Andreas Tunek
no flags Details
logs for fedora-beta-TC8 (37.26 KB, application/x-gzip)
2012-11-12 00:39 EST, Valery Pipin
no flags Details
log xorg i5 (F18 beta) (32.10 KB, application/x-trash)
2012-12-19 12:11 EST, JAlberto
no flags Details

  None (edit)
Description Valery Pipin 2012-09-26 02:40:56 EDT
Created attachment 617413 [details]
log information, including Xorg.log, boot.log etc

Description of problem:
I boot to black screen with 20120924-test_days-x86_64.iso


How reproducible:
I have the HP ENVY 14 1210NR with intel& amd graphic cards.
Normal boot gives the black screen. I could not login to VT in this kind of boot.

The failsafe boot. The so called troubleshooting mode (nomodeset) also does not start X. However, in this boot I was able to use the virtual terminal and to log in the system I save some log information from var/log. It is in attachment.

The output of lspci:

00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
01:00.0 VGA compatible controller: ATI Technologies Inc Madison [Radeon HD 5000M Series] (rev ff)
01:00.1 Audio device: ATI Technologies Inc Redwood HDMI Audio [Radeon HD 5600 Series] (rev ff)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6200 (rev 35)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 05)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 05)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 05)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 05)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 05)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 05)
Comment 1 Adam Williamson 2012-10-04 12:28:31 EDT
Discussed at 2012-10-04 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-04/f18-beta-blocker-review-2.1.2012-10-04-16.00.log.txt . As this looks like a single-system X showstopper, we reject it as a blocker and accept it as NTH, by established precedent (X bugs that affect only a single system or small range of systems are not considered to be wide enough to be blockers; we don't have the development capacity to commit to fixing all such bugs).
Comment 2 Andreas Tunek 2012-10-06 03:05:48 EDT
I think I am also hit by this on Beta TC2. I have an iMac12,2 (27" 2011 model). USB will not boot, all I get is a black screen.
Comment 3 Adam Joseph Cook 2012-10-07 10:13:23 EDT
@Valery Pipin Does the black screen show up if you wait 2 to 3 minutes? Is the cursor visible? I ran into a very similar situation with my ATI FirePro V4800 during this last Radeon test day. I initially thought X would not start at all after boot (I had a black screen), but after I waited about 2 to 3 minutes, the GDM login screen appeared. See my bug report below.

https://bugzilla.redhat.com/show_bug.cgi?id=861755
Comment 4 Valery Pipin 2012-10-07 11:13:44 EDT
I waited for 10 min. Cursor is not visible. The problem, perhaps, due to hybrid graphics management in the fedora kernel. I don't know. On my laptop, I also use mageia 3 with no such issues. Similarily to fedora 18 I run the latest xorg, the latest kernel, etc 

[vv@redwood ~]$ more /var/log/Xorg.0.log
[    30.072] 
X.Org X Server 1.13.0
Release Date: 2012-09-05
[    30.072] X Protocol Version 11, Revision 0
[    30.072] Build Operating System: Linux_3.3.8-server-2.mga2 Mageia
[    30.072] Current Operating System: Linux redwood 3.6.0 #1 SMP Sun Oct 7 18:52:04 CST 2012 x86_64
[    30.072] Kernel command line: BOOT_IMAGE=3.6.0 root=UUID=3882351a-571e-4085-9133-776efac2d5f1 splash quiet resume=UUID=38e58e8e-e72c-4e11-b081-b9b7
7c01905a vga=788
....
Comment 5 Andreas Tunek 2012-10-08 12:06:44 EDT
Created attachment 623533 [details]
screenshot

If I do nomodeset on the command line in grub I come here, but not any further in the boot process.
Comment 6 Adam Williamson 2012-10-09 22:12:41 EDT
Before this gets any more confused:

'fails to boot with a black screen' is a very general symptom and could be caused by multiple underlying bugs. Just because you also see a failure to boot with a black screen does not mean you are seeing the same bug as Valery.

In general, for this kind of bug, unless you have the same hardware - at least the same or a very similar graphics adapter - or convincing evidence from logs etc that you're really seeing the *same bug* and not just the *same symptom*, please assume you're seeing a different bug and file it separately. We can always close reports that turn out to be the same bug as duplicate later.

Having five different black screen bugs in one report just leads to a large amount of confusion, so please, keep this report for Valery's hardware - the HP ENVY 14 1210NR , or at least, the "ATI Technologies Inc Madison [Radeon HD 5000M Series]" adapter.

Neither Andreas' nor Adam's system has a graphics adapter the same as or similar to this one (the iMac12,2 has either a 6770M or a 6970M), so please, keep them separate. Thanks!
Comment 7 Andreas Tunek 2012-10-10 12:34:02 EDT
OK, I added Bug 865031.
Comment 8 Jérôme Glisse 2012-10-24 13:33:44 EDT
Valery you confirm that this is a dual gpu laptop you have ?

Also i would need a kernel log without the nomodeset option. I am guessing you have vgaswitchero issue.
Comment 9 Valery Pipin 2012-10-24 19:51:23 EDT
(In reply to comment #8)
> Valery you confirm that this is a dual gpu laptop you have ?
> 
> Also i would need a kernel log without the nomodeset option. I am guessing
> you have vgaswitchero issue.

That is it. I have the dual gpu laptop. Nomodeset is the  only option when I was able to collect the logs. I could not open the virtual terminal when I started with the default options. If you have suggestions (except like alt f1 etc) how to get it I can try.
Comment 10 Valery Pipin 2012-10-24 20:18:42 EDT
(In reply to comment #8)
> Valery you confirm that this is a dual gpu laptop you have ?
> 
> Also i would need a kernel log without the nomodeset option. I am guessing
> you have vgaswitchero issue.

About vga_switcheroo. I use this option on mageia3 to switch off the ATI card.
The only problem is that I always has to switch  ATI card on before suspend or hibernate (otherwise the ati's fans started after resume). Another problem is that when I switch to ATI (with help the vga_switcheroo), I found that the energy consumption and temperature inrease about 1.5 factor. The tests shows no big difference for the perfomance between ATI and intel cards.  The best what  we can do is to correctly switch off the ATI card
Comment 11 Andreas Tunek 2012-11-11 08:10:52 EST
865031 was fixed for me in TC8. Maybe you can check if this is fixed as well?
Comment 12 Valery Pipin 2012-11-11 09:29:23 EST
(In reply to comment #11)
> 865031 was fixed for me in TC8. Maybe you can check if this is fixed as well?

Could you give me a link for the image, please. I did not see an announcement. Sorry for bothering!
Comment 13 Valery Pipin 2012-11-12 00:39:11 EST
Created attachment 643219 [details]
logs for fedora-beta-TC8

logs after boot in troubleshoot mode
Comment 14 Valery Pipin 2012-11-12 01:13:55 EST
(In reply to comment #12)
> (In reply to comment #11)
> > 865031 was fixed for me in TC8. Maybe you can check if this is fixed as well?
> 
> Could you give me a link for the image, please. I did not see an
> announcement. Sorry for bothering!

I have tried https://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC8/Live/x86_64/Fedora-18-Beta-TC8-x86_64-Live-Desktop.iso
The result is exactly the same as before, i.e.,  black screen and no virtual console  for the default boot. For the troubleshooting mode I was able  to login to virtual console (no X !)and collect some logs which are attached to the previous message.
Comment 15 Valery Pipin 2012-11-12 22:01:35 EST
> (In reply to comment #12)
> > (In reply to comment #11)
> > > 865031 was fixed for me in TC8. Maybe you can check if this is fixed as well?
> > 
> > Could you give me a link for the image, please. I did not see an
> > announcement. Sorry for bothering!
> 
> I have tried
> https://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC8/Live/x86_64/Fedora-18-
> Beta-TC8-x86_64-Live-Desktop.iso
I have tried the other images too.
1)LXDE, the default boot, the screen is not black  it is very dark I would say,
I could see the borders of windows, but it is on the very dark background, so I could not manage the session 
2)KDE!!! It starts sometimes! I could log in, the system went to invitation login and then just login with Enter. I  could use vga_swithcheroo to switch between intel and radeon. I started the installation process, but anaconda complain about partitions errors, don't know the exact reason. I have 3 linux partitions, 1 swap and 2 from win7. Suspend does not work in the live session. 
Well, that look  very promising! The problem is that Live session does boot from time to time, not always.
Comment 16 JAlberto 2012-12-19 12:10:22 EST
I have similar problem on dell inspiron 15rSE with core i5 (intel hd400 + radeon 7700m + fullhd display)

Log attached. I fixed it removing ati drivers.
Comment 17 JAlberto 2012-12-19 12:11:35 EST
Created attachment 666227 [details]
log xorg i5 (F18 beta)
Comment 18 Martin 2013-06-11 13:02:02 EDT
Valery and JAlberto, are you able to reproduce it on latest Fedora 18 or 19?
Comment 19 Valery Pipin 2013-06-12 18:02:30 EDT
I confirm that I have it on fedora 19 beta Live KDE. The screen remains black, though the brightness varies during the run, having  short maximum at the end and then drops to black. I can run in the basic graphics mode with low resolution. Perhaps, after installation in the basic  graphics mode  I can manage to run the system on the integrated Intel card. However I don't see any sence, because vga_sweetcheroo broke support for A+I in the new kernels starting ver 3.8, so I will not able to swithch to ATI in any case.
See, e.g., https://bugs.mageia.org/show_bug.cgi?id=8718
Comment 20 Fedora End Of Life 2013-12-21 03:57:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2014-02-05 07:19:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.